## ifenslave-2.6 1.1.0

=== debian/changelog ===
ifenslave-2.6 (1.1.0-21) unstable; urgency=low

  [ Jonas Genannt ]
  * d/pre-up: bond-primary does not apply (Closes: #699445)
    Moved setting primary into own function and call it after enslave_slaves

  [ Guus Sliepen ]
  * Explicitly mention that 3.x kernels are also supported. Closes: #697454
  * Bump Standards-Version. 
  * Enable hardening.
  * Fix unsafe use of printf() and fprintf() found by the hardening flags.

 -- Guus Sliepen <guus@debian.org>  Tue, 19 Feb 2013 14:43:29 +0100

ifenslave-2.6 (1.1.0-20) unstable; urgency=low

  * Use dashes consistently for bonding options in README.Debian.
    Closes: #639244
  * Enslave slaves only after fully setting up the master. Closes: #641250
  * Add build-arch and build-indep targets to debian/rules.

 -- Guus Sliepen <guus@debian.org>  Mon, 14 Nov 2011 11:36:21 +0100

ifenslave-2.6 (1.1.0-19) unstable; urgency=low

  * Don't bother trying to move configuration files anymore. This is not an
    issue anymore in for the next stable release, and it was broken anyway.
    Closes: #626959
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Wed, 25 May 2011 18:42:32 +0200

ifenslave-2.6 (1.1.0-18) experimental; urgency=low

  * Apply patch from Nicolas de Pesloüan:

    - Major change: Check and fix the order in which the configuration is
      written into /sys files, to ensure reliable results, according to the
      tests done in the kernel (in drivers/net/bonding/bond_sysfs.c).
    - Ensure that master is properly brought down when changing a parameter
      that require it to be down.
    - Ensure the master is brought up at the end of the setup, in the case
      where ifup won't bring it up because it is currently configuring a slave.
    - Add support for some previously unsupported /sys files: ad_select,
      num_grat_arp, num_unsol_na, primary_reselect and queue_id.
    - Enhance the documentation (README.Debian), to describe all the currently
      supported bond-* options.
    - Many other changes in the documentation.
    - Reverse the order of the arguments to most sysfs_* internal functions, for
      better readability.

  * Upload to experimental due to the freeze.

 -- Guus Sliepen <guus@debian.org>  Tue, 21 Dec 2010 12:46:04 +0100

ifenslave-2.6 (1.1.0-17) unstable; urgency=low

  * Only build ifenslave on Linux.

 -- Guus Sliepen <guus@debian.org>  Sun, 04 Jul 2010 11:00:05 +0200

ifenslave-2.6 (1.1.0-16) unstable; urgency=low

  * Apply patches from Vagrant Cascadian:

    - Do not try to move config files on a fresh install. Closes: #499922
    - Do not try to move config files from wireless-tools. Closes: #587992

  * Bump Standards-Version.
  * Add ${misc:Depends}.

 -- Guus Sliepen <guus@debian.org>  Sun, 04 Jul 2010 10:16:16 +0200

ifenslave-2.6 (1.1.0-15) unstable; urgency=low

  * Adopt 3.0 (quilt) format.
  * Ensure existing up and down scripts from 1.1.0-6 and earlier are properly
    moved to pre-up and pre-down, so they don't trigger a conflict message from
    dpkg. Closes: #499922
  * Add slaves after configuring master. Closes: #558097, #559879

 -- Guus Sliepen <guus@debian.org>  Fri, 18 Dec 2009 13:32:44 +0100

ifenslave-2.6 (1.1.0-14) unstable; urgency=low

  * Apply patch from Nicolas de Pesloüan:

    - Properly cleanup arp_ip_target on ifdown and suppress possible
      duplicate arp_ip_target on ifup. Closes: #521317.
    - Fix a verbosity bug when calling ifdown for slaves.
    - Don't modprobe for interface name before modprobe'ing for bonding.
      This was expected to give a chance to alias and alias'option but was
      found to be unreliable. Alias and aliases'options would be used
      only for the first bonding interface loaded because the bonding
      module is not loaded twice. Anyway, using module parameters for
      bonding is now deprecated and replaced by sysfs. Use bond-* options
      in /etc/network/interfaces instead.
    - When using ifup on a master, call ifup automatically on slaves that have
      an allow-<master interface name> stanza.
    - Reduce the time necessary for bond-give-a-chance to detect that the
      wifi link is up and running.
    - Enhance documentation and examples.

 -- Guus Sliepen <guus@debian.org>  Tue, 25 Aug 2009 14:30:06 +0200

ifenslave-2.6 (1.1.0-13) unstable; urgency=low

  * Apply patch from Nicolas de Pesloüan:

    - Manage primary change not only in if-pre-up.d/ifenslave but also
      in if-post-down.d/ifenslave.
    - Move $VERBOSITY test (in if-post-down.d/ifenslave) outside of the
      slave loop, because VERBOSITY won't change inside the loop.
    - After ifdown of a slave, ensure slave is still enslaved before
      forcing it to be free. (This remove a warning in syslog).
    - Fix a typo in a comment in if-pre-up.d/ifenslave.
    - Fix a variable name error in an error message in
      if-pre-up.d/ifenslave.
    - Use /sys/class/net/<slavename>/master/bonding/primary instead of
      /sys/class/net/<mastername>/bonding/primary to get the name of
      current primary, for "bond-give-a-chance" (in if-up.d/ifenslave).
      This remove the mandatory "bond-master" requirement.
    - Enhance README.Debian.

 -- Guus Sliepen <guus@debian.org>  Mon, 25 May 2009 17:13:23 +0200

ifenslave-2.6 (1.1.0-12) unstable; urgency=low

  * Replace pre-up and post-down scripts with new ones provided by Nicolas de
    Pesloüan:

    - Add a VERBOSE mode, with set -x, for debugging purpose.
    - Suppress any reference to /sbin/ifenslave. Write to
      /sys/class/net/*/bonding/slaves instead. /sbin/ifenslave is now useless
      from the ifupdown point of view.
    - modprobe for $IFACE before modprobe bonding, to give a chance to alias
      and alias'options in /etc/modprobe.conf or /etc/modprobe.d/* .
    - Add a new option bond-active-slave and a new usage of
      bond-primary.
    - Add a new option bond-master. Using this option, one is able
      to postpone enslavement of a slave at the time the slave

