=== debian/control ===
Source: ifenslave-2.6
Section: net
Priority: optional
Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>> 7.0.0), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4

Package: ifenslave-2.6
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, iproute
Recommends: net-tools
Conflicts: ifenslave (<< 2), ifenslave-2.4 (<= 0.07+2.5.15-6)
Provides: ifenslave
Description: Attach and detach slave interfaces to a bonding device
 This is a tool to attach and detach slave network interfaces to a bonding
 device. A bonding device will act like a normal Ethernet network device to
 the kernel, but will send out the packets via the slave devices using a simple
 round-robin scheduler. This allows for simple load-balancing, identical to
 "channel bonding" or "trunking" techniques used in switches.
 .
 The kernel must have support for bonding devices for ifenslave to be useful.
 This package supports 2.6.x and 3.x kernels and the most recent 2.4.x kernels.
